Bug 1135502 - Review Request: rubygem-rack-cors - Middleware for enabling Cross-Origin Resource Sharing in Rack apps
Summary: Review Request: rubygem-rack-cors - Middleware for enabling Cross-Origin Reso...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ken Dreyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1149407
TreeView+ depends on / blocked
 
Reported: 2014-08-29 13:21 UTC by František Dvořák
Modified: 2014-11-01 16:56 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-11-01 16:56:52 UTC
ktdreyer: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description František Dvořák 2014-08-29 13:21:24 UTC
Spec URL: http://scientific.zcu.cz/fedora/rubygem-rack-cors-0.2.9-1/rubygem-rack-cors.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-rack-cors-0.2.9-1/rubygem-rack-cors-0.2.9-1.fc22.src.rpm
Description: Middleware that will make Rack-based apps CORS compatible. Read more here: http://blog.sourcebender.com/2010/06/09/introducin-rack-cors.html. Fork the project here: http://github.com/cyu/rack-cors.
Fedora Account System Username: valtri

Comment 1 Ken Dreyer 2014-10-09 04:58:46 UTC
I can take this one. Mind swapping for bug 1117025 ?

Comment 2 Ken Dreyer 2014-10-10 15:48:28 UTC
Package APPROVED. No blocking issues, just two suggestions:

1. The URL can be HTTPS.

2. When you change the files in the test suite, I recommend putting a comment "already fixed upstream in 9851d59089971e9a1c28a6b68e3b9359f7005535" so it is clear to future maintainers that this sort of patching doesn't need to be submitted upstream. I find this just makes communication a bit easier.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Avoid bundling fonts in non-fonts packages.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem should use %gem_install macro.
[x]: Specfile should use macros from rubygem-devel package.
[x]: Gem package should exclude cached Gem.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-rack-cors-0.2.9-1.fc22.noarch.rpm
          rubygem-rack-cors-doc-0.2.9-1.fc22.noarch.rpm
          rubygem-rack-cors-0.2.9-1.fc22.src.rpm
rubygem-rack-cors.noarch: W: spelling-error Summary(en_US) Middleware -> Middle ware, Middle-ware, Middleweight
rubygem-rack-cors.noarch: W: spelling-error %description -l en_US Middleware -> Middle ware, Middle-ware, Middleweight
rubygem-rack-cors.src: W: spelling-error Summary(en_US) Middleware -> Middle ware, Middle-ware, Middleweight
rubygem-rack-cors.src: W: spelling-error %description -l en_US Middleware -> Middle ware, Middle-ware, Middleweight
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-rack-cors rubygem-rack-cors-doc
rubygem-rack-cors.noarch: W: spelling-error Summary(en_US) Middleware -> Middle ware, Middle-ware, Middleweight
rubygem-rack-cors.noarch: W: spelling-error %description -l en_US Middleware -> Middle ware, Middle-ware, Middleweight
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
rubygem-rack-cors (rpmlib, GLIBC filtered):
    ruby(rubygems)

rubygem-rack-cors-doc (rpmlib, GLIBC filtered):
    rubygem-rack-cors



Provides
--------
rubygem-rack-cors:
    rubygem(rack-cors)
    rubygem-rack-cors

rubygem-rack-cors-doc:
    rubygem-rack-cors-doc



Source checksums
----------------
https://rubygems.org/gems/rack-cors-0.2.9.gem :
  CHECKSUM(SHA256) this package     : 5a256bda2673c7bbba014587b1f93fd2e6fd80b7ac9804a0f90665add6ba087d
  CHECKSUM(SHA256) upstream package : 5a256bda2673c7bbba014587b1f93fd2e6fd80b7ac9804a0f90665add6ba087d


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1135502 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 František Dvořák 2014-10-10 22:16:04 UTC
New Package SCM Request
=======================
Package Name: rubygem-rack-cors
Short Description: Middleware for enabling Cross-Origin Resource Sharing in Rack apps
Upstream URL: https://github.com/cyu/rack-cors
Owners: valtri
Branches: f20 f21 el6 epel7
InitialCC:

Comment 4 Kevin Fenzi 2014-10-13 23:16:57 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-10-14 09:19:20 UTC
rubygem-rack-cors-0.2.9-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rubygem-rack-cors-0.2.9-1.fc21

Comment 6 Fedora Update System 2014-10-14 09:20:13 UTC
rubygem-rack-cors-0.2.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-rack-cors-0.2.9-1.fc20

Comment 7 Fedora Update System 2014-10-14 09:21:02 UTC
rubygem-rack-cors-0.2.9-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/rubygem-rack-cors-0.2.9-1.el7

Comment 8 Fedora Update System 2014-10-14 09:22:04 UTC
rubygem-rack-cors-0.2.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rubygem-rack-cors-0.2.9-1.el6

Comment 9 Fedora Update System 2014-10-16 02:01:53 UTC
rubygem-rack-cors-0.2.9-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 10 Fedora Update System 2014-10-27 03:28:29 UTC
rubygem-rack-cors-0.2.9-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2014-10-31 01:24:00 UTC
rubygem-rack-cors-0.2.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 12 Fedora Update System 2014-10-31 01:27:46 UTC
rubygem-rack-cors-0.2.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 13 Fedora Update System 2014-11-01 16:56:52 UTC
rubygem-rack-cors-0.2.9-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.